## libdbus-ruby 0.3.0

=== test/Makefile ===
check:
	./test_all
test: check
.PHONY: test check

=== debian/changelog ===
libdbus-ruby (0.3.0-1) unstable; urgency=low

  * New upstream release. 
  * debian/source/format: Added, switched to 3.0 (quilt) format. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 09 Apr 2010 22:47:16 +0200

libdbus-ruby (0.2.12-1) unstable; urgency=low

  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Paul van Tilburg ]
  * New upstream release.
  * debian/control:
    - Bumped standards version to 3.8.4.
    - Added missing ${misc:Depends} to libdbus-ruby and libdbus-ruby1.8.
  * debian/watch:
    - Updated the URL to the new location on github (closes: #558602).

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 14 Feb 2010 21:12:08 +0100

libdbus-ruby (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.7.3; no changes required.
  * Added Homepage and Vcs-* fields.

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 29 Dec 2007 01:25:19 +0100

libdbus-ruby (0.2.0-2) unstable; urgency=low

  * Fixed debian/copyright to mention the software is licensed under
    the LPGL (not GPL as before release 0.1.2).
  * Added libredcloth-ruby to the build-depend-indep in debian/control
    so that webgen can read the tutorial files written in the tutorial.

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 15 Jul 2007 22:29:29 +0200

libdbus-ruby (0.2.0-1) unstable; urgency=low

  * Initial release.
  * Forget the old Ruby D-Bus implementation that is no longer maintained
    and incompatible with the current D-Bus implementation. 

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 25 Apr 2007 23:16:04 +0200

=== debian/control ===
Source: libdbus-ruby
Section: ruby
Priority: optional
Maintainer: Paul van Tilburg <paulvt@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Arnaud Cornet <arnaud.cornet@gmail.com>
Build-Depends: cdbs, debhelper (>= 5.0.0), ruby-pkg-tools, ruby1.8
Build-Depends-Indep: webgen0.4, libredcloth-ruby
Standards-Version: 3.8.4
Homepage: https://trac.luon.net/ruby-dbus/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libdbus-ruby/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libdbus-ruby/

Package: libdbus-ruby
Architecture: all
Depends: libdbus-ruby1.8, ${misc:Depends}
Suggests: ruby, libgtk2-ruby
Description: Ruby binding for D-Bus
 This module allows Ruby programs to interface with the D-Bus message
 bus installed on newer Unix operating systems.
 . 
 This is a dummy package depending on the library for the default version
 of Ruby (currently 1.8).

Package: libdbus-ruby1.8
Architecture: all
Depends: libruby1.8, ${misc:Depends}
Recommends: libglib2-ruby1.8
Description: Ruby 1.8 binding for D-Bus
 This module allows Ruby 1.8 programs to interface with the D-Bus message
 bus installed on newer Unix operating systems.

=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS file to build the Ruby D-Bus package.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-setup-rb.mk

DEB_COMPRESS_EXCLUDE := .rb gdbus

# Generate (and clean) the tutorial webgen documentation additionally.
build/libdbus-ruby::
	webgen -d doc/tutorial

clean::
	rm -rf doc/tutorial/output

=== debian/watch ===
version=3
http://githubredir.debian.net/github/mvidner/ruby-dbus/v(.*).tar.gz
